NotificationImages (gCube Notifications Portlet 1.4.0-SNAPSHOT API)
Date: 2015-11-19

org.gcube.portlets.user.notifications.client.view.templates.images

## Interface NotificationImages

- All Superinterfaces:
    com.google.gwt.resources.client.ClientBundle

      public interface NotificationImages
      extends com.google.gwt.resources.client.ClientBundle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle

      `com.google.gwt.resources.client.ClientBundle.Source`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.resources.client.ImageResource` | `calendar()`
    `com.google.gwt.resources.client.ImageResource` | `calendarDelete()`
    `com.google.gwt.resources.client.ImageResource` | `calendarEdit()`
    `com.google.gwt.resources.client.ImageResource` | `comment()`
    `com.google.gwt.resources.client.ImageResource` | `connectionRequest()`
    `com.google.gwt.resources.client.ImageResource` | `documentWorkflow()`
    `com.google.gwt.resources.client.ImageResource` | `documentWorkflowNew()`
    `com.google.gwt.resources.client.ImageResource` | `generic()`
    `com.google.gwt.resources.client.ImageResource` | `jobNOK()`
    `com.google.gwt.resources.client.ImageResource` | `jobOK()`
    `com.google.gwt.resources.client.ImageResource` | `like()`
    `com.google.gwt.resources.client.ImageResource` | `mention()`
    `com.google.gwt.resources.client.ImageResource` | `message()`
    `com.google.gwt.resources.client.ImageResource` | `postAlert()`
    `com.google.gwt.resources.client.ImageResource` | `share()`
    `com.google.gwt.resources.client.ImageResource` | `tableShare()`
    `com.google.gwt.resources.client.ImageResource` | `unshare()`
    `com.google.gwt.resources.client.ImageResource` | `workflowForward()`
    `com.google.gwt.resources.client.ImageResource` | `workflowForwardComplete()`

- - ### Method Detail

    - #### postAlert

          @ClientBundle.Source(value="post-alert.png")
          com.google.gwt.resources.client.ImageResource postAlert()

    - #### comment

          @ClientBundle.Source(value="comment.png")
          com.google.gwt.resources.client.ImageResource comment()

    - #### mention

          @ClientBundle.Source(value="tag_blue.png")
          com.google.gwt.resources.client.ImageResource mention()

    - #### like

          @ClientBundle.Source(value="star_blue.png")
          com.google.gwt.resources.client.ImageResource like()

    - #### message

          @ClientBundle.Source(value="mail.png")
          com.google.gwt.resources.client.ImageResource message()

    - #### calendar

          @ClientBundle.Source(value="calendar.png")
          com.google.gwt.resources.client.ImageResource calendar()

    - #### calendarEdit

          @ClientBundle.Source(value="calendar_edit.png")
          com.google.gwt.resources.client.ImageResource calendarEdit()

    - #### calendarDelete

          @ClientBundle.Source(value="calendar_delete.png")
          com.google.gwt.resources.client.ImageResource calendarDelete()

    - #### share

          @ClientBundle.Source(value="share_blue.png")
          com.google.gwt.resources.client.ImageResource share()

    - #### unshare

          @ClientBundle.Source(value="unshare_blue.png")
          com.google.gwt.resources.client.ImageResource unshare()

    - #### connectionRequest

          @ClientBundle.Source(value="connection_new.png")
          com.google.gwt.resources.client.ImageResource connectionRequest()

    - #### jobOK

          @ClientBundle.Source(value="job_ok.png")
          com.google.gwt.resources.client.ImageResource jobOK()

    - #### jobNOK

          @ClientBundle.Source(value="job_nok.png")
          com.google.gwt.resources.client.ImageResource jobNOK()

    - #### documentWorkflow

          @ClientBundle.Source(value="document-workflow.png")
          com.google.gwt.resources.client.ImageResource documentWorkflow()

    - #### documentWorkflowNew

          @ClientBundle.Source(value="document-workflow-new.jpg")
          com.google.gwt.resources.client.ImageResource documentWorkflowNew()

    - #### workflowForward

          @ClientBundle.Source(value="workflow-forward.png")
          com.google.gwt.resources.client.ImageResource workflowForward()

    - #### workflowForwardComplete

          @ClientBundle.Source(value="workflow-forward-complete.jpg")
          com.google.gwt.resources.client.ImageResource workflowForwardComplete()

    - #### generic

          @ClientBundle.Source(value="notification-generic.png")
          com.google.gwt.resources.client.ImageResource generic()

    - #### tableShare

          @ClientBundle.Source(value="table_share.png")
          com.google.gwt.resources.client.ImageResource tableShare()

Copyright © 2015. All Rights Reserved.